#pragma implementation
#include <iostream>
#include "ansi.h"

int ANSISink::write(Segment &seg) {
  int last = 0;
  int n = seg.size();
  for (int i = 0; i < n; ++i) {
    int m = seg.size(i);
    while (m && seg(i,m-1).length() == 0) --m;
    if (!m) continue;
    while (i > last) {
      cout << elemsep;
      ++last;
    }
    for (int j = 0; j < m; ++j) {
      string str(seg(i,j));
      gsub(str,elemsep,' ');
      gsub(str,segsep[0],' ');
      gsub(str,subsep,' ');
      if (j) cout << subsep;
      cout << str;
    }
  }
  cout << segsep;
  ++cnt;
  seg.clear();
  return 0;
}

ANSISink::ANSISink(char e,char s,char b) {
  elemsep = e;
  segsep[0] = s;
  if (s == '\n')
    segsep[1] = 0;
  else {
    segsep[1] = '\n';
    segsep[2] = 0;
  }
  subsep = b;
}

ANSISink::~ANSISink() { }
