struct cimp_mast {
// CIMP.CODE.MAST
  FNUM<2>	elem;
  FCHAR<66>	desc;
  FCHAR<2>	type;
  FNUM<2>	min;
  FNUM<2>	max;
};

struct cimp {
// CIMP.CODE
  enum {
    SERV = 505, HAND = 705,
    ALLOCA = 409, ALLOCB = 1409, ALLOCC = 2409
  };
  FNUM<2>	elem;
  FCHAR<6>	code;
  FCHAR<65>	desc;
};

struct transetMast {
  FNUM<2>	type;
  FCHAR<2>	grp;
  FCHAR<60>	desc;
};

struct transet {
  FNUM<2>	type;		// transaction set type
  FNUM<2>	pos;		// position number
  FCHAR<3>	seg;		// segment name
  char		req;		// Manditory, Optional, Floating
  FNUM<4>	maxcnt;		// max segment repeat count
  FNUM<2>	loopend;	// loop end position number
  FNUM<4>	loopcnt;	// maximum loop count
  FNUM<4>	dm;		// data management number
};
