struct ISA {
  FCHAR<2>	sendqual;
  FCHAR<15>	sender;
  char		standard;
  FNUM<4>	ctlno;		// key
  FCHAR<2>	authqual;
  FCHAR<10>	authinfo;
  FCHAR<2>	secqual;
  FCHAR<10>	secinfo;
  FCHAR<2>	recvqual;
  FCHAR<15>	receiver;
  FCHAR<5>	version;
  FNUM<4>	time;
  char		ackreq;
  char		test;
  FNUM<2>	grps;
};

struct GS {
  FCHAR<12>	sndr;
  FNUM<4>	ctlno;
  FCHAR<2>	func;
  FCHAR<12>	rcvr;
  FNUM<4>	time;
  FCHAR<2>	agency;		// responsible agency
  FCHAR<12>	version;
  FNUM<4>	sets;
};

struct partner {
  FCHAR<4>	id;
  FCHAR<12>	addr;		// group level routing code
  FCHAR<40>	desc;
  FNUM<4>	cust;
  FCHAR<4>	type;	// type (MAIL/ANSI default)
  FCHAR<3>	brok;	// partner ABI broker code
  FCHAR<35>	ediaddr;
  FCHAR<2>	qual;	// ANSI addr qualifier
  FCHAR<12>	version;
  FCHAR<4>	eq;	// EDIFACT addr qualifier
};

struct UNBlog {
  FCHAR<4>	from;
  FCHAR<14>	control;
  FCHAR<4>	to;
  FNUM<4>	timesent;
  char		ack;	// 1 = requested, ' ' = none, A = ACKed
};

struct UNHlog {
  FCHAR<4>	from;	// sending partner
  FCHAR<14>	control;
  FCHAR<6>	msgtype;
  FNUM<2>	msgver;
  FNUM<2>	msgrel;
  FCHAR<2>	agency;
  FCHAR<6>	code;
  FCHAR<35>	ref;	// relate messages by business case or file
  FNUM<2>	seq;	// sequence within transfer
};

struct SendLog {
  FNUM<2>	mod;	// bms module number
  FNUM<4>	file;	// file number
  FNUM<2>	files;	// file number suffix
  FNUM<2>	seq;	// file number sequence
  FNUM<2>	set;	// edi transaction set number
  FCHAR<2>	type;	// transaction type
  FNUM<4>	no;	// edi transaction id
  FCHAR<12>	pfx;	// edi filename prefix
  FCHAR<8>	to;	// partner name
  FNUM<2>	site;	// site (department)
  FCHAR<2>	stat;	// status (N=not sent,S=sent)
  FNUM<4>	crtm;	// create time
  FNUM<2>	crid;	// creator user id
  FNUM<4>	trtm;	// transfer time (to btas spool dir)
  FNUM<2>	trid;	// transfer user id
  FCHAR<2>	ack;	// ack code (A=accept,R=reject,E=accept with errs)
  FNUM<4>	acktm;	// time ack received
  FNUM<2>	ackid;	// ack user id
  FNUM<4>	grp;	// edi group number
  FNUM<4>	grptm;	// time grouped
};
